#include <iostream>

template<typename T>
T find_max(T arr[], int size) {
    T max_val = arr[0];
    for (int i = 1; i < size; ++i) {
        if (arr[i] > max_val) {
            max_val = arr[i];
        }
    }
    return max_val;
}

int main() {
    int int_arr[] = {1, 5, 3, 9, 2};
    double double_arr[] = {1.2, 3.4, 5.6, 7.8};

    std::cout << "Максимальный элемент в массиве int: " << find_max(int_arr, 5) << std::endl;
    std::cout << "Максимальный элемент в массиве double: " << find_max(double_arr, 4) << std::endl;

    return 0;
}
